import { FormSchema } from '@/components/Form';
import { BasicColumn } from '@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '元数据英文名',
    dataIndex: 'ENname',
    width: 120,
  },
  {
    title: '元数据中文名',
    dataIndex: 'CNname',
    width: 120,
  },
  {
    title: '路径',
    dataIndex: 'path',
    width: 140,
  },
  {
    title: '关联度',
    dataIndex: 'num',
    width: 80,
  },
];
export const SearchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '表关联度',
    component: 'Select',
    componentProps: {
      options: [
        { label: '等于', value: '1' },
        { label: '大于', value: '2' },
        { label: '小于', value: '3' },
      ],
    },
    colProps: { span: 4 },
  },
  {
    field: 'num',
    label: '',
    component: 'Input',
    colProps: { span: 4 },
  },
];
export const detailColumns: BasicColumn[] = [
  {
    title: '关联对象',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '路径',
    dataIndex: 'path',
    width: 120,
  },
  {
    title: '关联类型',
    dataIndex: 'type',
    width: 120,
  },
  {
    title: '关联度',
    dataIndex: 'num',
    width: 120,
  },
];
