import { DescItem } from '@/components/Description';
import { BasicColumn, FormSchema } from '@/components/Table';
import { treeData } from '@/views/metadata/metadataComparison/metadataComparisomData';

export const refundSchema: DescItem[] = [
  {
    field: 'dataSource',
    label: '数据源',
  },
  {
    field: 'type',
    label: '资产类型',
  },
  {
    field: 'owner',
    label: '拥有者',
  },
  {
    field: 'changeTime',
    label: '版本生成时间',
  },
  {
    field: 'remark',
    label: '注释',
  },
];
export const columns: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '字段类型',
    dataIndex: 'type',
    width: 120,
  },
  {
    title: '长度',
    dataIndex: 'length',
    width: 120,
  },
  {
    title: '精度',
    dataIndex: 'precision',
    width: 120,
  },
  {
    title: '可空',
    dataIndex: 'isNull',
    width: 120,
  },
  {
    title: '注释',
    dataIndex: 'remark',
    width: 120,
  },
];
export const indexColumns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '索引字段',
    dataIndex: 'filed',
    width: 120,
  },
  {
    title: '类型',
    dataIndex: 'type',
    width: 120,
  },
];
export const mainSchema: FormSchema[] = [
  {
    field: 'name',
    label: '请选择基准表',
    component: 'TreeSelect',
    componentProps: {
      treeData: treeData,
      fieldNames: {
        label: 'title',
        value: 'businessId',
      },
    },
    defaultValue: '111',
    colProps: { lg: 8, md: 8 },
  },
];
export const lastSchema: FormSchema[] = [
  {
    field: 'name',
    label: '请选择参照表',
    component: 'TreeSelect',
    componentProps: {
      treeData: treeData,
      fieldNames: {
        label: 'title',
        value: 'businessId',
      },
    },
    defaultValue: '112',
    colProps: { lg: 8, md: 8 },
  },
];
